import request from '@/common/request.js';

const overview = {
	// 通知类型列表
	noticeTypeList() {
		return request.get('/api/v1/schoolNotice/notice_type_list')
	},
	// 通知总览列表
	noticesPage(data) {
		return request.post('/api/v1/schoolNotice/notices_page', data)
	},
	noticeDetail(data) {
		return request.get(`/api/v1/schoolNotice/user_page/${data.id}`, data)
	},
	// 获取学年
	findSchoolYear() {
		return request.get('/api/v1/pc_school_year/find?effective=true')
	},
	// 按部门-人员查询
	find_depart_contain_user(params) {
		return request.get('/api/v1/teaching_plan/collect/target_loading/find_depart_contain_user', params)
	},
	// 按学科、按年级、按权限-人员查询
	find_collect_personal_info(params) {
		return request.get('/api/v1/teaching_plan/collect/target_loading/find_collect_personal_info', params)
	},
	// 按学生-人员查询
	query_notice_student(params) {
		return request.get('/api/v1/schoolNotice/query_notice_student', params)
	},
	// 保存通知
	save_notices(data) {
		return request.post('/api/v1/schoolNotice/save_notices', data)
	},
	// 管理员编辑-查看详情
	notices_edit(params) {
		return request.get(`/api/v1/schoolNotice/notices_edit/${params.id}`)
	},
	// 管理员-删除关闭的通知
	delete_notices(params) {
		return request.get(`/api/v1/schoolNotice/del_notices/${params.id}`, params)
	},
	// 管理员-查看教师列表
	user_page(params) {
		return request.get(`/api/v1/schoolNotice/user_page/${params.id}`, params)
	},

	// 教师列表
	teacher_notices_page(params) {
		return request.post('/api/v1/schoolNotice/teacher_notices_page', params)
	},

	// 教师-查看详情
	notices_detail(params) {
		return request.get(`/api/v1/schoolNotice/notices_detail/${params.id}`)
	}

}
export default overview